/*
 * extra_scenes_provider.c
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#include "extra_scenes_provider.h"
#include "watc_provider.h"

gboolean has_stingers(const gchar *movie) {

	/* There should be a mechanism here
	 * allowing us to dynamically load new libraries
	 * dlopen - http://stackoverflow.com/questions/384121/creating-a-module-system-dynamic-loading-in-c
	 * Until we get it, we'll use just one of the provided providers ;)
	 */
	GSList *result_list = watc_has_stingers(movie);
	WATCInfo *result = NULL;
	gboolean value = FALSE;

	if (g_slist_length(result_list) == 1) {

		result = (WATCInfo *) g_slist_nth(result_list, 0);
		if (result != NULL)
			value = result->has_stingers;
	}

	watcinfo_list_unref(result_list);

	return value;
}
