/*
 * movie.c
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#include "maevies_movie.h"
#include "movie_info_provider.h"
#include "extra_scenes_provider.h"

MaeviesMovie *maevies_movie_new(const gchar *name) {

	MaeviesMovie *movie = g_new0(MaeviesMovie,1);

	movie->title = name;

	return movie;
}

void movie_get_info(MaeviesMovie *movie, GCallback callback) {

	/* Get movie info */
	get_info(movie);

	/* Get movie stingers */
	movie->has_stingers = has_stingers(movie->title);
}

