/*
 * movie.h
 *
 * This file is part of maevies
 * Copyright (C) 2009 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef MOVIE_H_
#define MOVIE_H_

#include <hildon/hildon.h>
#include "maevies_movieschedule.h"

G_BEGIN_DECLS

typedef struct _MaeviesMovie MaeviesMovie;

struct _MaeviesMovie {

	gboolean has_stingers;
	const gchar *title;
	gchar *director;
	GSList *cast;
	gfloat ranking;
	GDate *released;
	const gchar *overview;
	const gchar *url;
	GSList* movieScheduleList;

};

MaeviesMovie *maevies_movie_new(const char *name);

void movie_get_info(MaeviesMovie *movie, GCallback callback);

G_END_DECLS

#endif /* MOVIE_H_ */
