/*
 * mvs-minfo-provider.h
 *
 * This file is part of maevies
 * Copyright (C) 2010 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef _MVS_MINFO_PROVIDER
#define _MVS_MINFO_PROVIDER

#include <glib-object.h>

G_BEGIN_DECLS

#define MVS_TYPE_MINFO_PROVIDER mvs_minfo_provider_get_type()
#define MVS_MINFO_PROVIDER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MVS_TYPE_MINFO_PROVIDER, MvsMInfoProvider))
#define MVS_MINFO_PROVIDER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MVS_TYPE_MINFO_PROVIDER, MvsMInfoProviderClass))
#define MVS_IS_MINFO_PROVIDER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MVS_TYPE_MINFO_PROVIDER))
#define MVS_IS_MINFO_PROVIDER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MVS_TYPE_MINFO_PROVIDER))
#define MVS_MINFO_PROVIDER_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MVS_TYPE_MINFO_PROVIDER, MvsMInfoProviderClass))

typedef struct _MvsMInfoProviderPrivate MvsMInfoProviderPrivate;

typedef struct {
        GObject parent;

        /* <private> */
        MvsMInfoProviderPrivate *priv;
} MvsMInfoProvider;

typedef struct {
        GObjectClass parent_class;
} MvsMInfoProviderClass;

GType mvs_minfo_provider_get_type (void);
MvsMInfoProvider* mvs_minfo_provider_new (void);

gboolean mvs_minfo_provider_query (MvsMInfoProvider *self,
                                   const gchar *query);

G_END_DECLS

#endif /* _MVS_MINFO_PROVIDER */
