/*
 * mvs-movie-info.h
 *
 * This file is part of maevies
 * Copyright (C) 2010 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef _MVS_MOVIE_INFO
#define _MVS_MOVIE_INFO

#include <glib-object.h>

G_BEGIN_DECLS

#define MVS_TYPE_MOVIE_INFO mvs_movie_info_get_type()
#define MVS_MOVIE_INFO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MVS_TYPE_MOVIE_INFO, MvsMovieInfo))
#define MVS_MOVIE_INFO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MVS_TYPE_MOVIE_INFO, MvsMovieInfoClass))
#define IS_MVS_MOVIE_INFO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MVS_TYPE_MOVIE_INFO))
#define IS_MVS_MOVIE_INFO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MVS_TYPE_MOVIE_INFO))
#define MVS_MOVIE_INFO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MVS_TYPE_MOVIE_INFO, MvsMovieInfoClass))

typedef struct _MvsMovieInfoPrivate MvsMovieInfoPrivate;

typedef struct {
        GObject parent;

        /* <private> */
        MvsMovieInfoPrivate *priv;
} MvsMovieInfo;

typedef struct {
        GObjectClass parent_class;
} MvsMovieInfoClass;

GType mvs_movie_info_get_type (void);
MvsMovieInfo* mvs_movie_info_new (void);

gboolean mvs_movie_info_set_stingers (MvsMovieInfo *self,
                                      gboolean has_stingers);
gboolean mvs_movie_info_set_title (MvsMovieInfo *self, const gchar *title);
gboolean mvs_movie_info_set_director (MvsMovieInfo *self,
                                      const gchar *director);
gboolean mvs_movie_info_set_cast (MvsMovieInfo *self, const gchar *cast);
gboolean mvs_movie_info_set_ranking (MvsMovieInfo *self, gfloat ranking);
gboolean mvs_movie_info_set_release_date (MvsMovieInfo *self,
                                          const gchar *released);
gboolean mvs_movie_info_set_overview (MvsMovieInfo *self,
                                      const gchar *overview);
gboolean mvs_movie_info_set_url (MvsMovieInfo *self, const gchar *url);
gboolean mvs_movie_info_set_schedule (MvsMovieInfo *self,
                                      const gchar *schedule);

G_END_DECLS

#endif /* _MVS_MOVIE_INFO */
